Bug 78511 - Multiple issues with weston-stacking
Summary: Multiple issues with weston-stacking
Status: RESOLVED MOVED
Alias: None
Product: Wayland
Classification: Unclassified
Component: weston (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Wayland bug list
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-10 00:22 UTC by Anu Reddy
Modified: 2018-06-08 23:51 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anu Reddy 2014-05-10 00:22:13 UTC
Multiple issues with weston client 'weston-stacking' which I am listing them here.

1. Toggle between fullscreen and unfullscreen via <f>. See corruption in the bottom when fullscreened.

2. Enter fullscreen via <f> and Press <m> for maximize. Background color changes but window decoration are not visible when client is maximized. 

3. Press <p> for popup. Observe a line behind popup. Popup options are not selectable.


Software Stack:
wayland (HEAD) 1.4.92-0-g4a4523f
drm (HEAD) libdrm-2.4.52-0-g46d451c
mesa (HEAD) remotes/origin/10.1-0-g340ebdb
libva (HEAD) libva-1.2.1-0-g88ed1eb
intel-driver (HEAD) 1.2.2-0-g121e70d
cairo (HEAD) heads/1.12-0-g59e2a93
libinput (HEAD) remotes/origin/HEAD-0-g97af5c3
weston (HEAD) 1.4.92-0-gd7d71e8
Comment 1 Boyan Ding 2014-06-09 09:10:11 UTC
I think staying fullscreen after hitting m is the desired behavior (and the git version now handles it more correctly), but the color change is a problem in my opinion. See my idea about that on the mailing list at http://lists.freedesktop.org/archives/wayland-devel/2014-June/015347.html
Comment 2 Marek Chalupa 2014-10-15 08:29:28 UTC
At the moment of writing this:

I don't see any corruption when fullscreened (point 1.), so this looks fixed.

For point 3. I sent a patch (http://lists.freedesktop.org/archives/wayland-devel/2014-October/017770.html)

So the only problem that left now is the color change, I think.

Cheers,
Marek
Comment 3 Pekka Paalanen 2014-11-19 13:48:19 UTC
commit eaea47051053d6f991e900ab6b51cdc99095a7d3
Author: Marek Chalupa <mchqwerty@gmail.com>
Date:   Wed Oct 29 14:51:23 2014 +0100

    cairo-util: fix shadows for small clients

This has ben pushed, so the shadow issue should be fixed now.
Comment 4 GitLab Migration User 2018-06-08 23:51:49 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/wayland/weston/issues/34.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.